/*
   Project: ImpersonatorToolKit

   Copyright (C) 2013 Sebastian Reitenbach

   Author: Sebastian Reitenbach

   Created: 2013-06-27 18:53:33 +0200 by sebastia

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#ifndef _PAYLOADMANAGER_H_
#define _PAYLOADMANAGER_H_

#import <Foundation/Foundation.h>
#import "DatabaseManager.h"
#import "Connection.h"

@interface PayloadManager : NSObject
{
  DatabaseManager *dbManager;
}
+(id) sharedPayloadManager;

-(void) savePayloadForConnection:(Connection *)_connection;
@end

#endif // _PAYLOADHANDLER_H_
